View Revisions: Issue #3178

Summary 0003178: Super Placement should be shown only when relevant in the Property Panel
Revision 2017-09-07 18:31 by Kunda1
Description The super placement appears always in the properties panel, even for object where the super placement is non-relevant. It should only be shown when super placement is relevant.

It is also possible to modify the super placement. For example by select the position then X and click on up or down arrow. But only once after these arrows are greyed.
It is also possible to modify the super placement in python console :
FreeCAD.getDocument("Extruder5C3m3").getObject("Cylinder019").superPlacement = App.Placement(App.Vector(5,0,0),App.Rotation(App.Vector(0,0,1),0))

All the changes have no effect because not applicable to a cylinder in my case.

I think the super placement properties should only be shown when super placement makes sense, and the command line should report an error.
Revision 2017-09-07 09:16 by plgarcia
Description The super placement appears always in the properties panel, even for objet where the super placement is non sense. It should only be shown when super placement makes sense.

It is also possible to modify the super placement. For example by select the position then X and click on up or down arrow. But only once after these arrows are greyed.
It is also possible to modify the super placement in python console :
FreeCAD.getDocument("Extruder5C3m3").getObject("Cylinder019").superPlacement = App.Placement(App.Vector(5,0,0),App.Rotation(App.Vector(0,0,1),0))

All the changes have no effect because not applicable to a cylinder in my case.

I think the super placement properties should only be shown when super placement makes sense, and the command line should report an error.